//Section features
.sect-editor {
    overflow: hidden;
    position: relative;
    font-family: 'Montserrat', sans-serif;

    &::before {
        content: '';
        @include PseudoPosAbs(absolute);
        top: 0;
        left: 0;
        background-color: $bfcSectFearures;
        z-index: -2;
    }


    .wrapper-editor {
        display: grid;
    }

    &__title {
        color: $colorFeaturesTitle;
        grid-area: title;
    }


    .sect-editor__list-option {


        gap: 33px;
        grid-area: navbar;

        .sect-editor__optn-item {
            display: flex;


            &-wrap-img {
                min-width: 111px;
            }


            &-title {
                color: $colorFeaturesOptnItemTitle;
                font-weight: 400;
            }

            &-text {
                color: $colorFeaturesOptnItemText;
            }
        }
    }
}

@media (max-width: 320px),
(min-width:320px) {
    .sect-editor {
        padding-top: 32px;

        &::after {
            content: '';
            @include PseudoPosAbs(absolute, 317px, 381px);
            bottom: 0px;
            right: 0px;
            background-image: url('/dist/images/features_img-mobile.jpg');
            background-repeat: no-repeat;
            background-size: cover;
        }

        .wrapper-editor {
            grid-template-columns: 100%;
            grid-template-areas:
                'title'
                'navbar'
                '-';
        }

        &__title {
            font-size: 32px;
            line-height: 38px;
            margin-bottom: 36px;
            text-align: center;

        }


        .sect-editor__list-option {
            @include PosElFlex(flex, column, space-between, center);
            gap: 37px;
            margin-bottom: 439px;


            .sect-editor__optn-item {
                @include PosElFlex(flex, column, center, center);
                gap: 27px;
                text-align: center;

                &-title {
                    font-size: 16px;
                    line-height: 16px;
                    margin-bottom: 14px;
                }

                &-text {
                    font-size: 14px;
                    line-height: 21px;
                }
            }
        }


    }
}

@media (min-width:481px) {
    .sect-editor {
        padding-top: 62px;


        &::after {
            content: '';
            @include PseudoPosAbs(absolute, 700px, 519px);
            bottom: 0px;
            right: 0px;
            background-image: url('/dist/images/features_img.jpg');
            background-repeat: no-repeat;
            background-size: cover;
        }


        .wrapper-editor {
            grid-template-columns: 100%;
            grid-template-areas:
                'title'
                'navbar'
                '-';
            justify-items: center;

        }

        &__title {
            margin-bottom: 52px;
            font-size: 42px;
            line-height: 44px;
        }

        .sect-editor__list-option {
            gap: 58px;
            margin-bottom: 572px;

            .sect-editor__optn-item {
                @include PosElFlex(flex, row, space-between, center);
                text-align: left;
                gap: 23px;

                &-title {
                    font-size: 16px;
                    line-height: 21px;
                }

                &-text {
                    font-size: 14px;
                    line-height: 21px;
                }
            }
        }

    }

}

@media (min-width:993px) {

    .sect-editor {
        padding-top: 97px;
        padding-bottom: 69px;
        min-height: 711px;

        &::after {
            position: absolute;
            right: 0px;
            left: 50%;
            bottom: 33px;
        }

        .wrapper-editor {
            grid-template-columns: 45% 50%;
            grid-template-areas:
                'navbar title'
                'navbar -';
            align-items: start;
            justify-items: start;
            column-gap: 49px;
        }

        &__title {
            margin-bottom: 19px;
            margin-left: 40px;
            font-size: clamp(41px, 42px, 48px);
            line-height: 50px;
        }

        .sect-editor__list-option {
            margin-bottom: 0;
            gap: 37px;

            .sect-editor__optn-item {


                &-title {
                    margin-bottom: 17px;
                }

                &-text {
                    max-width: 405px;
                }
            }
        }
    }
}